# PyQT graph plotter

## Package interface

```python
from plotter_dialog import PlotterDialog

PlotterDialog(
    variable_full_names: dict[str, str] # Variable button and tooltip captions
    function_full_names: dict[str, str] # Same for function
    variable_values: dict[str, numpy.ndarray] # Values to be substituted for variables
)
```

`variable_full_names` and `variable_values` must have same keys.

## Demo running instructions

Run in project root directory:

```bash
python -m venv .venv
source .venv/bin/activate
pip install -r requirements.txt

python -m plotter_dialog
```
